Index: src/dns_internal.c
===================================================================
RCS file: /cvsroot/squid/squid/src/dns_internal.c,v
retrieving revision 1.16
diff -u -p -r1.16 dns_internal.c
--- src/dns_internal.c	13 Apr 2002 23:09:17 -0000	1.16
+++ src/dns_internal.c	24 Jun 2002 14:19:03 -0000
@@ -228,6 +228,7 @@ idnsParseWIN32Registry(void)
 	break;
     case _WIN_OS_WIN2K:
     case _WIN_OS_WINXP:
+    case _WIN_OS_WINNET:
 	/* get nameservers from the Windows 2000 registry */
 	/* search all interfaces for DNS server addresses */
 	if (RegOpenKey(HKEY_LOCAL_MACHINE,
Index: src/enums.h
===================================================================
RCS file: /cvsroot/squid/squid/src/enums.h,v
retrieving revision 1.34
diff -u -p -r1.34 enums.h
--- src/enums.h	23 Jun 2002 13:38:03 -0000	1.34
+++ src/enums.h	24 Jun 2002 14:19:03 -0000
@@ -743,7 +743,8 @@ enum {
     _WIN_OS_WINME,
     _WIN_OS_WINNT,
     _WIN_OS_WIN2K,
-    _WIN_OS_WINXP
+    _WIN_OS_WINXP,
+    _WIN_OS_WINNET
 };
 
 #endif
Index: src/win32.c
===================================================================
RCS file: /cvsroot/squid/squid/src/win32.c,v
retrieving revision 1.5
diff -u -p -r1.5 win32.c
--- src/win32.c	18 Nov 2001 01:15:42 -0000	1.5
+++ src/win32.c	24 Jun 2002 14:19:03 -0000
@@ -57,6 +57,10 @@ GetOSVersion()
 	    WIN32_OS_string = xstrdup("Windows XP");
 	    return _WIN_OS_WINXP;
 	}
+	if ((osvi.dwMajorVersion == 5) && (osvi.dwMinorVersion == 2)) {
+	    WIN32_OS_string = xstrdup("Windows .NET");
+	    return _WIN_OS_WINNET;
+	}
 	break;
     case VER_PLATFORM_WIN32_WINDOWS:
 	if ((osvi.dwMajorVersion == 4) && (osvi.dwMinorVersion == 0)) {
